=== debian/changelog ===
nfs-ganesha (5.9-4) unstable; urgency=medium

  * (again) move systemd unit files from lib/systemd to usr/lib/systemd
    (closes: 1080064)
  * bump Standards-Version to 4.7.0 (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 02 Sep 2024 15:43:55 +0200

nfs-ganesha (5.9-3) unstable; urgency=medium

  * another upload - really for unstable

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Aug 2024 18:28:30 +0200

nfs-ganesha (5.9-2) experimental; urgency=medium

  * install systemd file in usr instead of etc (closes: 1078179)
  * unstable rebuild
  * bump Standards-Version to 4.6.2 (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Aug 2024 16:50:14 +0200

nfs-ganesha (5.9-1) experimental; urgency=medium

  * New upstream version 5.9
  * builds with gcc-14 (closes: #1075314)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 06 Aug 2024 20:09:41 +0200

nfs-ganesha (4.3-11) unstable; urgency=medium

  * move systemd unit files from lib/systemd to usr/lib/systemd (closes:
    1071916)
  * add loongarch64/loong64 build support (closes: 1059965)
  * move dbus policy from etc to usr/share

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 27 May 2024 19:04:03 +0200

nfs-ganesha (4.3-10) unstable; urgency=medium

  * don't build FSAL GPFS on armel and armhf (closes: 1069692)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 23 Apr 2024 15:30:37 +0200

nfs-ganesha (4.3-9) unstable; urgency=medium

  * remove build-depends on libcephfs-dev for 32bit archs (closes: 1069471)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 22 Apr 2024 14:55:34 +0200
