=== debian/control ===
Source: nfs-ganesha
Section: net
Priority: optional
Maintainer: Christoph Martin <martin@uni-mainz.de>
Standards-Version: 4.7.0
Homepage: https://github.com/nfs-ganesha/nfs-ganesha
Build-Depends:
 bison,
 cmake,
 debhelper (>= 10),
 dh-python,
 flex,
 libacl1-dev,
 libattr1-dev,
 libblkid-dev,
 libcap-dev,
 libcephfs-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 libdbus-1-dev,
 libglusterfs-dev (>= 9.0) [amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64],
 libkrb5-dev,
 liblttng-ctl-dev,
 liblttng-ust-dev,
 libnfsidmap-dev,
 libntirpc-dev (>= 5.0),
 libpython3-all-dev,
 librados-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 librgw-dev [amd64 arm64 loong64 mips64el ppc64el riscv64 s390x],
 liburcu-dev,
 libwbclient-dev,
 lttng-tools,
 pkgconf,
 pyqt5-dev-tools,
 python3-all-dev,
 python3-pyqt5,
 python3-setuptools,
 python3-sphinx,
 uuid-dev,
 xfslibs-dev,
Vcs-Git: https://salsa.debian.org/debian/nfs-ganesha.git
Vcs-Browser: https://salsa.debian.org/debian/nfs-ganesha

Package: nfs-ganesha
Multi-Arch: foreign
Architecture: any
Depends:
 dbus,
 nfs-common,
 rpcbind,
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Description: NFS server in User Space
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains the binaries

Package: nfs-ganesha-ceph
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 nfs-ganesha (<< 4.0-1),
Breaks:
 nfs-ganesha (<< 4.0-1),
Description: nfs-ganesha fsal ceph libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_CEPH and an example ceph.conf file

Package: nfs-ganesha-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: Documentation for nfs-ganesha
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains documentation and examples for nfs-ganesha

Package: nfs-ganesha-gluster
Multi-Arch: same
Architecture: amd64 arm64 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Section: libs
Depends:
 libglusterfs0 (>= 6.0),
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal gluster libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for FSAL_GLUSTER and an example .conf file

Package: nfs-ganesha-gpfs
Multi-Arch: same
Architecture: amd64 arm64 i386 ia64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal gpfs libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_GPFS and conf files.

Package: nfs-ganesha-mem
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal mem libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_MEM

Package: nfs-ganesha-mount-9p
Architecture: all
Depends:
 nfs-ganesha (>=${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: nfs-ganesha mount.9P
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains mount.9P

Package: nfs-ganesha-nullfs
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal nullfs libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_NULLFS

Package: nfs-ganesha-proxy-v4
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal proxy v4 libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_PROXY_V4

Package: nfs-ganesha-rados-grace
Multi-Arch: foreign
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha ganesha-rados-grace program
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains the ganesha-rados-grace program

Package: nfs-ganesha-rgw
Multi-Arch: same
Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64 s390x
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal rgw libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_RGW and an example rgw.conf file

Package: nfs-ganesha-vfs
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 nfs-ganesha (=${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: nfs-ganesha fsal vfs libraries
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains a library for a FSAL_VFS and an example vfs.conf file

Package: python3-nfs-ganesha
Pre-Depends:
 ${misc:Pre-Depends},
Replaces:
 python-nfs-ganesha,
Architecture: all
Section: python
Provides:
 ${python:Provides},
Depends:
 python3-dbus,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Python bindings for nfs-ganesha
 NFS-GANESHA is a NFS Server running in user space with a large cache.
 It comes with various backend modules to support different file systems
 and namespaces. Supported name spaces are POSIX, PROXY, SNMP, FUSE-like,
 HPSS, LUSTRE, XFS and ZFS.
 .
 This package contains Python bindings for nfs-ganesha admin
